## org.biojavax.bio.seq.io
Class UniProtCommentParser.Interaction

    java.lang.Object
      org.biojavax.bio.seq.io.UniProtCommentParser.Interaction

Enclosing class:
  UniProtCommentParser

    public static class UniProtCommentParser.Interaction

extends Object

A class to describe protein-protein interactions.

Constructor Summary
`UniProtCommentParser.Interaction()`

Method Summary
`String` `getFirstIntActID()` Getter for property firstIntActID.
`String` `getID()` Getter for property ID.
`String` `getLabel()` Getter for property label.
`int` `getNumberExperiments()` Getter for property numberExperiments.
`String` `getSecondIntActID()` Getter for property secondIntActID.
`boolean` `isOrganismsDiffer()` Getter for property organismsDiffer.
`void` `setFirstIntActID(String firstIntActID)` Setter for property firstIntActID.
`void` `setID(String ID)` Setter for property ID.
`void` `setLabel(String label)` Setter for property label.
`void` `setNumberExperiments(int numberExperiments)` Setter for property numberExperiments.
`void` `setOrganismsDiffer(boolean organismsDiffer)` Setter for property organismsDiffer.
`void` `setSecondIntActID(String secondIntActID)` Setter for property secondIntActID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniProtCommentParser.Interaction

    public UniProtCommentParser.Interaction()

Method Detail

### getID

    public String getID()

  Getter for property ID.

  Returns:
    Value of property ID.

### setID

    public void setID(String ID)

  Setter for property ID.

  Parameters:
    `ID` - New value of property ID.

### getLabel

    public String getLabel()

  Getter for property label.

  Returns:
    Value of property label.

### setLabel

    public void setLabel(String label)

  Setter for property label.

  Parameters:
    `label` - New value of property label.

### isOrganismsDiffer

    public boolean isOrganismsDiffer()

  Getter for property organismsDiffer.

  Returns:
    Value of property organismsDiffer.

### setOrganismsDiffer

    public void setOrganismsDiffer(boolean organismsDiffer)

  Setter for property organismsDiffer.

  Parameters:
    `organismsDiffer` - New value of property organismsDiffer.

### getFirstIntActID

    public String getFirstIntActID()

  Getter for property firstIntActID.

  Returns:
    Value of property firstIntActID.

### setFirstIntActID

    public void setFirstIntActID(String firstIntActID)

  Setter for property firstIntActID.

  Parameters:
    `firstIntActID` - New value of property firstIntActID.

### getSecondIntActID

    public String getSecondIntActID()

  Getter for property secondIntActID.

  Returns:
    Value of property secondIntActID.

### setSecondIntActID

    public void setSecondIntActID(String secondIntActID)

  Setter for property secondIntActID.

  Parameters:
    `secondIntActID` - New value of property secondIntActID.

### getNumberExperiments

    public int getNumberExperiments()

  Getter for property numberExperiments.

  Returns:
    Value of property numberExperiments.

### setNumberExperiments

    public void setNumberExperiments(int numberExperiments)

  Setter for property numberExperiments.

  Parameters:
    `numberExperiments` - New value of property numberExperiments.